Skip to content

List subtitle/chapter tracks

GET
/wp-json/wp2/media-subtitles-timecodes/v1/attachments/{id}/tracks
curl --request GET \
--url 'https://example.com/wp-json/wp2/media-subtitles-timecodes/v1/attachments/1/tracks?parsed=0' \
--header 'X-WP-Nonce: <X-WP-Nonce>'

Lists subtitle and chapter (timecode) tracks on the attachment. Query parsed=1 also parses VTT/SRT into cue structures.

id
required
integer

Numeric entity id.

parsed
string
Allowed values: 0 1

1 = parse VTT/SRT into cues.

Media typeapplication/json
object
attachment_id

Media library attachment ID.

integer
tracks

Subtitle/chapter tracks array.

Array<object>
object
kind

Field “kind” as returned or accepted by PHP.

string
Allowed values: subtitles captions chapters
src

Dynamic Shortcode island source.

string format: uri
srclang

Field “srclang” as returned or accepted by PHP.

string
label

Product label.

string
default

Field “default” as returned or accepted by PHP.

string
Example
{
"tracks": [
{
"kind": "subtitles"
}
]
}

Not authenticated. WordPress REST: rest_not_logged_in / rest_forbidden. Use cookie + X-WP-Nonce or Application Password.

Media typeapplication/json
object
code

Machine-readable error or event code.

string
message

Message text (log, PIN, or password reset).

string
data

Extra WP_Error or license payload.

object
Examplegenerated
{
"code": "example",
"message": "example",
"data": {}
}

Insufficient capability or invalid REST nonce. WordPress REST: rest_forbidden / rest_cookie_invalid_nonce.

Media typeapplication/json
object
code

Machine-readable error or event code.

string
message

Message text (log, PIN, or password reset).

string
data

Extra WP_Error or license payload.

object
Examplegenerated
{
"code": "example",
"message": "example",
"data": {}
}